org.apache.hc.client5.http.protocol

## Class RequestUpgrade

- java.lang.Object
- - org.apache.hc.client5.http.protocol.RequestUpgrade

All Implemented Interfaces:
  HttpRequestInterceptor

    @Contract(threading=STATELESS)
    public final class RequestUpgrade
    extends Object
    implements HttpRequestInterceptor

Since:
  5.4

### Constructor Summary

Constructors
Constructor and Description
`RequestUpgrade()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(HttpRequest request, EntityDetails entity, HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestUpgrade

    public RequestUpgrade()

### Method Detail

#### process

    public void process(HttpRequest request,
                        EntityDetails entity,
                        HttpContext context)
                 throws HttpException,
                        IOException

Specified by:
  `process` in interface `HttpRequestInterceptor`
Throws:
  `HttpException`
  `IOException`